function AssignmentSizeMismatch

A = 'Testing';
s = '1-2-3';
A(2,:) = s % Comment out this line to see the error on line 8

B = 1:10;
B(1:3) = [2 0 0 2] % Comment out this line to see the error on line 11

C = [1 2 3;4 5 6;7 8 9];
C(1:2,2:3) = [1 2] % Comment out this line to see the error on line 14

D = [1 2 3;4 5 6;7 8 9];
D(1:2,2:3) = [1;2]

% Possible correction:
%
% Change line 5 to assign the 5 elements of the string on the right
% of the equals sign to 5 elements of the second row of A
%    A(2,1:5) = s
% Alternately, you can use:
%    A(2,1:length(s)) = s
%
% Change line 14 to assign the 4 elements of the vector on the right
% of the equals sign to 4 elements of B, or assign 3 elements of the
% vector on the right of the equals sign to 3 elements of B
%    B(1:3) = [2 0 0]
%    B(1:4) = [2 0 0 2]
%
% Change line 8 to assign the vector on the right of the equals sign to an
% appropriately sized section of the matrix on the left of the equals sign
%    C(1,2:3) = [1 2]
% Alternately, expand the vector on the right of the equals sign so that it
% matches the size of the section of the matrix on the left of the equal
% sign which is being replaced
%    C(1:2,2:3) = repmat([1 2],2,1)
%
% Change line 11 to assign the vector on the right of the equals sign to an
% appropriately sized section of the matrix on the left of the equals sign
%    D(1:2,2) = [1;2]
% Alternately, expand the vector on the right of the equals sign so that it
% matches the size of the section of the matrix on the left of the equal
% sign which is being replaced
%    D(1:2,2:3) = repmat([1;2],1,2)