function BracketedExpressionDimensions

A = [1 2;3 4;5 6]; % A is a 3 x 2 matrix
B = [1 2 3;4 5 6]; % B is a 2 x 3 matrix
C = [7 8;9 10];    % C is a 2 x 2 matrix
h = 'Hi';
t = 'there';

D = [B;C]; % Comment out this line to see the error on line 10
E = [A C]; % Comment out this line to see the error on line 11
s = [h;t];

% Possible corrections:
%
% Replace the semicolon between B and C on line 9 with a comma or a space
% This will concatenate them into the matrix:
% [1 2 3 7 8;4 5 6 9 10]
%   D = [B C];
% Replace the space between A and C on line 10 with a semicolon
% This will concatenate them into the matrix:
% [1 2;3 4;5 6;7 8;9 10]
%   E = [A;C];
% Use the STRVCAT function to concatenate the two strings on line 11
% This will pad the shorter string with spaces and concatenate them
% into a 2 x 5 char array:
% ['Hi   ';'there']
%   s = strvcat(h,t)