function DivideByZero

A = -10:10;
B = 1;
C = B./A; % Compute the reciprocals of the elements in A

C

% Possible correction:
%
% You can preallocate C to the value you want used when A is 0 and then
% simply compute the reciprocal for those elements of A not equal to 0.
% For example, to set C to contain -999 when A is zero and the reciprocal
% when it is not, replace line 5 with the following two lines:
%    C=-999*ones(size(A));
%    C(A~=0)=B./A(A~=0)
% Alternately, you can ignore the warning message and replace all the Inf
% and NaN values in the C vector with the value you want to use when A is 0.
% To do so, add the following lines between lines 5 and 7:
%    C(isinf(C)) = -999;
%    C(isnan(C)) = -999;